Uploaded image for project: 'Solr'
  1. Solr
  2. SOLR-5274

Updating org.apache.httpcomponents above 4.2.2 causes tests using SSL to fail.

    Details

    • Type: Test
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.6, 6.0
    • Component/s: Tests
    • Labels:
      None

      Description

      It seems like the system properties are no longer being cleaned up properly, or some such test contamination. Tests run fine in isolation. To get around, I've added the ability to add specific settings rather than use System properties - at some point I'd like to be able to load jetties in parallel, and in this is a required step for that anyway.

      1. SOLR-5274.patch
        12 kB
        Mark Miller

        Issue Links

          Activity

          Hide
          jira-bot ASF subversion and git services added a comment -

          Commit 1526494 from Mark Miller in branch 'dev/trunk'
          [ https://svn.apache.org/r1526494 ]

          SOLR-5274: Allow JettySolrRunner SSL config to be specified via a constructor.
          Updating org.apache.httpcomponents above 4.2.2 causes tests using SSL to fail.

          Show
          jira-bot ASF subversion and git services added a comment - Commit 1526494 from Mark Miller in branch 'dev/trunk' [ https://svn.apache.org/r1526494 ] SOLR-5274 : Allow JettySolrRunner SSL config to be specified via a constructor. Updating org.apache.httpcomponents above 4.2.2 causes tests using SSL to fail.
          Hide
          jira-bot ASF subversion and git services added a comment -

          Commit 1526501 from Mark Miller in branch 'dev/branches/branch_4x'
          [ https://svn.apache.org/r1526501 ]

          SOLR-5274: Allow JettySolrRunner SSL config to be specified via a constructor.
          Updating org.apache.httpcomponents above 4.2.2 causes tests using SSL to fail.

          Show
          jira-bot ASF subversion and git services added a comment - Commit 1526501 from Mark Miller in branch 'dev/branches/branch_4x' [ https://svn.apache.org/r1526501 ] SOLR-5274 : Allow JettySolrRunner SSL config to be specified via a constructor. Updating org.apache.httpcomponents above 4.2.2 causes tests using SSL to fail.

            People

            • Assignee:
              markrmiller@gmail.com Mark Miller
              Reporter:
              markrmiller@gmail.com Mark Miller
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development